List all condition check-ins.
GET/api/checkins/condition
Retrieve the list of condition check-ins of all users owned by a partner.
Request
Query Parameters
Default value: 0
Page number
Default value: 10
Number of items per page
Possible values: [dateCheckedIn, dateUpdated]
Default value: dateCheckedIn
Sort by field
Possible values: [asc, desc]
Default value: desc
Sort by order
Possible values: [id, license, vin, state, userFirstName, userLastName, userEmail, userPhone]
Search by field
Search by value
Possible values: [Pending, Confirmed, Declined, OnHold, Archived, All]
Filter condition check-ins by status
Filter condition check-ins by vehicle id
Filter condition check-ins marked as fraud.
Filter condition check-ins with photos marked with damage.
Filter condition check-ins whose check-in date is greater or than equal to the date passed in. (The date should be in the ISO8601 UTC format YYY-MM-DDThh:mm:ss.SSSZ)
Filter condition check-ins whose check-in date is less or than equal to the date passed in. (The date should be in the ISO8601 UTC format YYY-MM-DDThh:mm:ss.SSSZ)
Filter condition check-ins whose update date is greater or than equal to the date passed in. (The date should be in the ISO8601 UTC format YYY-MM-DDThh:mm:ss.SSSZ)
Filter condition check-ins whose update date is less or than equal to the date passed in. (The date should be in the ISO8601 UTC format YYY-MM-DDThh:mm:ss.SSSZ)
Responses
- 200
- 401
- 500
List of Condition checkin objects matching given query.
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
Total number of condition check-ins
Current page number
Current page size
Number of condition check-ins on current page
checkins
object[]
List of condition check-ins
Id of the checkin
License plate number
User generated note. For communication between the user to the admin
Admin generated note. Usually used for on-hold or declined check-ins
Check-in date
Possible values: [Confirmed, Declined, OnHold, Pending]
Status of the check-in
Last updated on
photos
object[]
The photos of the vehicle taken from different angles
URL of the photo
Possible values: [Back, Front, DriverSide, DriverSideFront, DriverSideBack, PassengerSide, PassengerSideFront, PassengerSideBack]
Type of the photo. A value from one of the condition checkin photo types.
Latitude at which photo was taken
Longitude at which photo was taken
Indicates that the photo has been marked invalid on review.
Indicates that the review has detected damage to the vehicle.
vehicle
object
Check-in vehicle
Id of the vehicle
License plate number
Photo of Vehicle
Make of the vehicle
Model of the vehicle
VIN of the vehicle.
2 Letter State Code (eg. AL, CA, CO etc.)
owner
object
Check-in owner
Id of the user
User's first name
User's last name
{
"totalItems": 0,
"currentPage": 0,
"totalPages": 0,
"itemsOnPage": 0,
"checkins": [
{
"id": "string",
"license": "string",
"userNote": "string",
"adminNote": "string",
"checkedInAt": "string",
"checkInStatus": "Confirmed",
"updated": "string",
"photos": [
{
"photoUrl": "string",
"type": "Back",
"latitude": 0,
"longitude": 0,
"markedInvalidByReview": true,
"damageDetected": true
}
],
"vehicle": {
"id": "string",
"license": "string",
"photoUrl": "string",
"make": "string",
"model": "string",
"vin": "string",
"state": "string"
},
"owner": {
"id": "string",
"firstName": "string",
"lastName": "string"
},
"fraud": true
}
]
}
Authorization error e.g. due to an invalid or missing API keys.
Internal error. Possible error codes
-
INTERNAL_SERVER_ERROR
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}